# -*- coding: utf-8 -*-
"""
Created on Thu Nov 18 16:10:44 2021

@author: jcrav
"""

import pandas as pd
import numpy as np

#______________________________________________________________________________
#Importar un archivo txt

path = 'C:/ACTUAL/PYTHON SENAMHI/CURSO PYTHON SENAMHI/MODULO I/EJERCICIO PANDAS/ARCHIVO TXT/'
file= "000130"

df = pd.read_csv(path+file+".txt",sep=' ',header=None,
                 na_values=[-99.9,-999.0]).rename(columns={0:'AÑO',1:'MES',2:'DIA',3:'PP',4:'TMAX',5:'TMIN'},
                                                  inplace=False)
                                                  
#______________________________________________________________________________
#Importar multiples archivos txt
import glob
path = 'C:/ACTUAL/PYTHON SENAMHI/CURSO PYTHON SENAMHI/MODULO I/EJERCICIO PANDAS/ARCHIVOS TXT/'
files = glob.glob(path+'*.txt')
dfs = pd.DataFrame()

for file in files:
    
    df = pd.read_csv(file,sep=' ',header=None,
                     na_values=[-99.9,-999.0]).rename(columns={0:'AÑO',1:'MES',2:'DIA',3:'PP',4:'TMAX',5:'TMIN'},
                                                      inplace=False)
    df['CODIGO'] = file[len(path):-4]
    dfs=dfs.append(df)
    
#Uniendo todos los archivos txt en uno solo    
dfs=dfs.replace(-888,0.01)
#______________________________________________________________________________

#Importar un archivo de excel
xls_datos = pd.ExcelFile("C:/ACTUAL/PYTHON SENAMHI/CURSO PYTHON SENAMHI/MODULO I/EJERCICIO PANDAS/ARCHIVO EXCEL/Azangaro000781.xls")
datos =pd.read_excel(xls_datos,'Sheet 1',dtype={'CODIGO': str})
#______________________________________________________________________________
#Importar multiples archivos de excel
import os
path = "C:/ACTUAL/PYTHON SENAMHI/CURSO PYTHON SENAMHI/MODULO I/EJERCICIO PANDAS/ARCHIVOS EXCEL/"
files = os.listdir(path)

#JUNTANDO EL NOMBRE DE LOS ARCHIVOS Y LA RUTA
files_xls = [os.path.join(path, f) for f in files if f[-3:] == 'xls']

#CREANDO DF VACIO PARA LLENARLO CON TODA LA DATA
dfs = pd.DataFrame()

#LEYENDO Y UNIENDO ARCHIVOS EXCEL
for i in files_xls:
    data = pd.read_excel(i, 'Sheet 1',converters={'CODIGO':str})
    data = data.rename(columns={'TXCC':'TMAX_CC','TNCC':'TMIN_CC'})
    dfs = dfs.append(data)
#______________________________________________________________________________

